Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Class HandlerInfo

    java.lang.Object
      |
      +--javax.xml.rpc.handler.HandlerInfo

All Implemented Interfaces:
  java.io.Serializable

public class HandlerInfo
extends java.lang.Object
implements java.io.Serializable

The `javax.xml.rpc.handler.HandlerInfo` represents information about a handler in the HandlerChain. A HandlerInfo instance is passed in the `Handler.init` method to initialize a `Handler` instance.

Version:
  1.0
See Also:
  `HandlerChain`, Serialized Form

Constructor Summary
`HandlerInfo()` Default constructor
`HandlerInfo(java.lang.Class handlerClass, java.util.Map config, QName[] headers)` Constructor for HandlerInfo

Method Summary
`java.lang.Class` | `getHandlerClass()` Gets the Handler class
`java.util.Map` | `getHandlerConfig()` Gets the Handler configuration
`QName[]` | `getHeaders()` Gets the header blocks processed by this Handler.
`void` | `setHandlerClass(java.lang.Class handlerClass)` Sets the Handler class
`void` | `setHandlerConfig(java.util.Map config)` Sets the Handler configuration as `java.util.Map`
`void` | `setHeaders(QName[] headers)` Sets the header blocks processed by this Handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerInfo

    public HandlerInfo()

  Default constructor

### HandlerInfo

    public HandlerInfo(java.lang.Class handlerClass,
                       java.util.Map config,
                       QName[] headers)

  Constructor for HandlerInfo

  Parameters:
    `handlerClass` - Java Class for the Handler
    `config` - Handler Configuration as a java.util.Map
    `headers` - QNames for the header blocks processed by this Handler. QName is the qualified name of the outermost element of a header block

Method Detail

### setHandlerClass

    public void setHandlerClass(java.lang.Class handlerClass)

  Sets the Handler class
  Parameters:
    `handlerClass` - Class for the Handler

### getHandlerClass

    public java.lang.Class getHandlerClass()

  Gets the Handler class
  Returns:
    Returns null if no Handler class has been set; otherwise the set handler class

### setHandlerConfig

    public void setHandlerConfig(java.util.Map config)

  Sets the Handler configuration as `java.util.Map`
  Parameters:
    `config` - Configuration map

### getHandlerConfig

    public java.util.Map getHandlerConfig()

  Gets the Handler configuration
  Returns:
    Returns empty Map if no configuration map has been set; otherwise returns the set configuration map

### setHeaders

    public void setHeaders(QName[] headers)

  Sets the header blocks processed by this Handler.
  Parameters:
    `headers` - QNames of the header blocks. QName is the qualified name of the outermost element of the SOAP header block

### getHeaders

    public QName[] getHeaders()

  Gets the header blocks processed by this Handler.
  Returns:
    Array of QNames for the header blocks. Returns `null` if no header blocks have been set using the `setHeaders` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.